﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace ListBoxTest
{
    public class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            this.Cars = new ObservableCollection<Car>
			{
				new Car { Name = "1", Make = "BMW" },
				new Car { Name = "3", Make = "BMW" },
				new Car { Name = "5", Make = "BMW" },
				new Car { Name = "7", Make = "BMW" },
				new Car { Name = "A1", Make = "Audi" },
				new Car { Name = "A3", Make = "Audi" },
				new Car { Name = "A4", Make = "Audi" },
				new Car { Name = "A5", Make = "Audi" },
				new Car { Name = "A6", Make = "Audi" },
				new Car { Name = "A8", Make = "Audi" },
                new Car { Name = "Astra", Make = "Opel" },
				new Car { Name = "Vectra", Make = "Opel" },
				new Car { Name = "Corsa", Make = "Opel" },
                new Car { Name = "Zafira", Make = "Opel" },
                new Car { Name = "Focus", Make = "Ford" },
				new Car { Name = "Fiesta", Make = "Ford" },
                new Car { Name = "Mondeo", Make = "Ford" },
			};

			this.Items = new ObservableCollection<string>();
			this.BestCars = new ObservableCollection<Car>();

			for (int i = 0; i < 1000000; i++)
			{
				this.Items.Add("item " + i);
			}
        }

		private Car selectedCar;
		public Car SelectedCar
		{
			get
			{
				return this.selectedCar;
			}
			set
			{
				if (this.selectedCar != value)
				{
					this.selectedCar = value;
					this.OnPropertyChanged(() => this.SelectedCar);
				}
			}
		}

		public IEnumerable<Car> Cars { get; private set; }

		public IEnumerable<Car> BestCars { get; private set; }

		public IList<string> Items { get; private set; }
    }
}
